//
//  TInstall.h
//  TInstall
//
//  Created by fx on 2020/12/15.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TInstall : NSObject

/************************************************新用户使用以下方法***************************************************/

/// 设置host(新版)
/// @param host host description
+ (void)setHost:(NSString *)host;

/// 安装SDK(新版)
/// @param appKey appKey
+ (void)init:(NSString *)appKey;

/// 获取参数(新版)
/// @param result 结果
+ (void)getInstall:(void(^ _Nullable)(NSDictionary * _Nullable data))result;

/// 用户注册(新版)
+ (void)registered;

/// 用户注册(新版)
+ (void)registered:(NSString *)Id;

/// 用户充值
+ (void)recharge:(NSString *)Id money:(float)money;


/************************************************旧版方法，不建议使用***************************************************/

/// 安装SDK(旧版，后期不维护)
/// @param appKey appkey
+ (void)initInstall:(NSString *)appKey;

/// 安装SDK(旧版，后期不维护)
/// @param appKey appkey
/// @param host 设置服务器
+ (void)initInstall:(NSString *)appKey setHost:(NSString *)host;

/// 获取参数(旧版，后期不维护)
/// @param result 结果
+ (void)getWithInstallResult:(void(^ _Nullable)(NSDictionary * _Nullable data))result;

/// 用户注册(旧版，后期不维护)
+ (void)installUserRegister;

@end

NS_ASSUME_NONNULL_END
