import 'dart:async';
import 'dart:js' as js;

import 'package:flutter/services.dart';
import 'package:flutter_web_plugins/flutter_web_plugins.dart';

class TinstallFlutterPlugin {
  static void registerWith(Registrar registrar) {
    final MethodChannel channel = MethodChannel(
      'tinstall_flutter_plugin',
      const StandardMethodCodec(),
      registrar,
    );
    final pluginInstance = TinstallFlutterPlugin();
    channel.setMethodCallHandler(pluginInstance.handleMethodCall);
  }

  Future<dynamic> handleMethodCall(MethodCall call) async {
    if ("init" == call.method) {
      js.context["TInstall"].callMethod("init", [call.arguments["appKey"]]);
    } else if ("registered" == call.method) {
      js.context["TInstall"].callMethod("registered");
    } else if ("getInstall" == call.method) {
      Completer completer = Completer();
      js.context["TInstall"].callMethod("getInstall", [
        (code) {
          completer.complete(code);
        }
      ]);
      return completer.future;
    }
    return Future.value("");
  }
}
